Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000309Core InformIndexingpublic2010-09-28 11:232010-10-28 00:30
Reportermikegentry 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000309: during clauses are not displayed in the action index
DescriptionWhen an action rule contains a "during" clause, the clause is not listed in the preamble of the rule where it is listed in the action index.
Minimal Source Text To Reproduce
This is a room.

Quiet Time is a scene. Quiet Time begins when play begins.

Instead of jumping during Quiet Time (this is the no jumping rule):
	say "Settle down; it's quiet time."
Additional InformationCompile the code and check the action index for the jumping action. You will see the no jumping rule, but its preamble simply reads "Instead of jumping," rather than "Instead of jumping during Quiet Time."
TagsNo tags attached.
Effect(cosmetic) Index is created incorrectly
Attached Files

- Relationships

-  Notes
(0000609)
jmcgrew (administrator)
2010-09-28 11:36

Confirmed. Other clauses do appear in the index ("when" and "in").
(0000623)
graham (administrator)
2010-09-29 07:14

Fixed.

- Issue History
Date Modified Username Field Change
2010-09-28 11:23 mikegentry New Issue
2010-09-28 11:36 jmcgrew Note Added: 0000609
2010-09-28 11:36 jmcgrew Status new => confirmed
2010-09-28 11:36 jmcgrew Severity mild => cosmetic
2010-09-29 07:14 graham Note Added: 0000623
2010-09-29 07:14 graham Status confirmed => resolved
2010-09-29 07:14 graham Resolution open => fixed
2010-09-29 07:14 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker